Koozali.org formerly Contribs.org

Cannot find a valid baseurl for repo: base - Important Update Information

Centos4 has come to an end of life which is causing errors when using yum. As a result, updating of SME server version 7.xx from server-manager or the
command line using standard commands is not currently possible.

An update has just been released and is now available in the repositories. This update is the first step to resolve this by allowing yum to work again.

Users should, as soon as practical, update their servers manually from the command line using the following command:

Code: [Select]
yum --disablerepo=base --disablerepo=updates update
You will need to be logged as root to perform this operation.  Also note that more than one package may be installed depending on when you last updated your server.

Users are also encouraged to become familiar with SME 8 which is currently at Beta7 with a Release Candidate (RC1) to be released soon.  To this end, please download the latest Beta version (8.0b7).  Additional information can be found here:

Code: [Select]
http://wiki.contribs.org/SME_Server_8
Please report any bugs to Bugzilla.
Thanks.

-------------------------Package information------------------------------

ChangeLog:

* Thu Mar 15 2012 Ian Wells <esmith@wellsi.com> 2.0.0-13.sme

- Disable CentOS base and updates repos [SME: 6868]

----------------------------------------------------------------------------
References:

  [ 1 ] yum update repository errors since Centos 4.9 moved to vault
        http://bugs.contribs.org/show_bug.cgi?id=6868
  [ 2 ] Centos4.x EOL notification
        http://lwn.net/Articles/484756/ 
       
----------------------------------------------------------------------------

Updated packages:

smeserver-yum-2.0.0-13.el4.sme.noarch.rpm
smeserver-yum-2.0.0-13.el4.sme.src.rpm

This update can be installed by the command line:
yum --disablerepo=base --disablerepo=updates update
----------------------------------------------------------------------------
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.

The Development Team has just released a package fixing update issues affecting sme7.xx over the past few days.  This package reset the yum_repositories and yum configuration files after Centos 4 EOL to point to Vault (the archiving repository for all CentOs 4 packages).

There are two scenarios:


1) You HAVE NOT yet followed the special instructions given in comment #1 of this topic and cannot update your server. To rectify this situation, you need to update your server manually from the command line using the following command:

Code: [Select]
yum --disablerepo=base --disablerepo=updates update
You will need to be logged as root. This "once off" operation will update yum to the latest version (smeserver-yum-2.0.0-14) and may include other SME packages. The next step (after a reconfiguration and reboot) will be to update your server again either from Server-Manager or command line, this time picking up any Centos updates not yet installed on your server.


2) You HAVE over the past few days followed the instructions provided in comment #1 of this topic and installed smeserver-yum-2.0.0-13.  This package has enabled access to all SME repositories, but not to Centos 4 repositories. To rectify this situation, it is now necessary to once again update your SME 7.xx server in the usual way, i.e. from Server-Manager or the command line.  This operation should update smeserver-yum-2.0.0-13 to version 2.0.0-14. When completed and after a full reconfiguration and reboot,normal access to all Centos 4 packages should be restored.


-------------------------Package information------------------------------

Fixed in smeserver-yum-2.0.0-14.el4.sme.noarch.rpm
* Wed Mar 21 2012 Ian Wells <esmith@wellsi.com> 2.0.0-14.sme
- Enable CentOS repos using BaseURL pointing to the vault [SME: 6873]

----------------------------------------------------------------------------
References:

  [ 1 ] Reset the yum_repositories and yum configuration after Centos 4 EOL to point to Vault
        http://bugs.contribs.org/show_bug.cgi?id=6873
  [ 2 ] Centos4.x EOL notification
        http://lwn.net/Articles/484756/
       
« Last Edit: March 22, 2012, 10:14:29 AM by chris burnat »
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.

Offline stabilys

  • *
  • 76
  • Ah din't do it!!
    • Stabilys Ltd
Re: Important Update Information for SME 7.xx Users - Stage 2 (final)
« Reply #2 on: March 22, 2012, 07:03:15 PM »
Well done and thank you
This, too, will pass ;)

Re: Important Update Information for SME 7.xx Users - Stage 2 (final)
« Reply #3 on: March 23, 2012, 02:30:34 AM »
A minor change has taken place overnight with the release of a new smeserver-yum package.  This change will be transparent to most users, the update information provided in previous post (Reply #2  yesterday) still apply, please refer. For those of you who have already updated their server overnight, you may have to update again at the earliest convenience. Check the version on your server from the command line as follows:

Code: [Select]
rpm -q smeserver-yum
If this command returns smeserver-yum-2.0.0-14.el4.sme or smeserver-yum-2.0.0-15.el4.sme, you will need to update again. The easiest way to do this would be to issue the following command from the command line:
Code: [Select]
yum --disablerepo=base --disablerepo=updates update
This will ensure that your server is loaded with smeserver-yum-2.0.0-16.sme.
Sorry for any inconvenience.

-------------------------Package information------------------------------
Fixed in smeserver-yum-2.0.0-16.sme
* Thu Mar 22 2012 Shad L. Lords <slords@mail.com> 2.0.0-16.sme
- Fix removal of default MirrorList files (missed in last patch) [SME: 6873]
----------------------------------------------------------------------------
References:
  [ 1 ] Reset the yum_repositories and yum configuration after Centos 4 EOL to point to Vault
        http://bugs.contribs.org/show_bug.cgi?id=6873
  [ 2 ] Centos4.x EOL notification
        http://lwn.net/Articles/484756/
-----------------------------------------------------------------------------
All users are encouraged to become familiar with SME 8 which is currently at Beta7 with a Release Candidate (RC1) to be released very soon. 
Additional information can be found here:
http://wiki.contribs.org/SME_Server_8
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.

Re: Important Update Information for SME 7.xx Users
« Reply #4 on: March 29, 2012, 12:09:07 AM »
We are just becoming aware of a new issue associated with Centos 4 EOL; the workaround provided to date is not covering all eventualities. In
some cases, users are experiencing missing dependancies preventing the installation of smeserver-yum-2.0.0-16.sme when issuing the command "yum --disablerepo=base --disablerepo=updates update". This has been traced to the addition of non-standard repositories and/or software to their system.

If the command "yum --disablerepo=base --disablerepo=updates update" does not work for you, try:

Code: [Select]
yum --disablerepo=* --enablerepo=smeupdates install smeserver-yum
Followed by:

Code: [Select]
signal-event post-upgrade; signal-event reboot
Please report any new issue associated to this topic to Bugzilla as soon as possible.
Thanks

Reference: http://bugs.contribs.org/show_bug.cgi?id=6892
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.

Changing topic summary to improve searching.
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.

Latest development:  With the release of SME7.6 the smeupdates repo is now empty and the command provided in Reply #5 no longer works. As a result, the following command has been suggested:
Code: [Select]
yum --disablerepo=* --enablerepo=smeos update smeserver-yum
followed by:

Code: [Select]
signal-event post-upgrade; signal-event reboot

Reference: http://bugs.contribs.org/show_bug.cgi?id=6960
- chris
If it does not work out of the box, please fill in a Bug Report @ Bugzilla (http://bugs.contribs.org)  - check: http://wiki.contribs.org/Bugzilla_Help .  Thanks.